## Local Environment

### System requirements

- [Git](https://git-scm.com/downloads)
- [Docker](https://docs.docker.com/engine/install/#desktop)
- [Docker Compose](https://docs.docker.com/compose/install/#install-compose)

### Setup

- Setup environment variables

  ```
  cp .env-example .env
  ```

- Add the following records to `/etc/hosts` file

  ```
  127.0.0.1       host.docker.internal
  127.0.0.1       api.server.com
  127.0.0.1       db.server.com
  127.0.0.1       mail.server.com
  ```

- Move to branch target

  ```
  git checkout dev
  ```

- Get latest changes

  ```
  git pull origin dev
  ```

- Up environment

  ```
  make environment.up
  ```

- Stop environment

  ```
  make environment.down
  ```

- Stop environment and remove volume data
  ```
  make environment.destroy
  ```

### Info

- API: `http://api.server.com/api/v1`

- API Doc: `http://api.server.com/docs/v1`

- Mail Server: `http://mail.server.com`

### Test credentials

| user            | rut       | password |
| --------------- | --------- | -------- |
| admin employee  | 000000001 | 12345    |
| vendor employee | 000000002 | 12345    |
| customer        | 000000003 | 12345    |
| driver          | 000000004 | 12345    |
