import Router from 'express-promise-router'
import { tenantMiddleware } from './middlewares/tenant.middleware'
import { authRouter } from './routers/auth.router'
import { customerRouter } from './routers/customer.router'
import { transportCompanyRouter } from './routers/transport-company.router'
import { driverRouter } from './routers/driver.router'
import { formTemplateRouter } from './routers/form-template.router'
import { orderRouter } from './routers/order.router'
import { adminAuthRouter } from './routers/admin-auth.router'
import { defaultFieldRouter } from './routers/default-field.router'

export const apiRouter = Router()
  .use('/healthz', (req, res) => {
    return res.json({
      message: 'ok',
    })
  })
  .use('/admin/auth', adminAuthRouter)
  .use('/admin/default-fields', defaultFieldRouter)
  .use(tenantMiddleware)
  .use('/auth', authRouter)
  .use('/customers', customerRouter)
  .use('/transport-companies', transportCompanyRouter)
  .use('/drivers', driverRouter)
  .use('/form-template', formTemplateRouter)
  .use('/orders', orderRouter)
