import { Joi, Segments, celebrate } from 'celebrate'

export class OrderValidationSchema {
  static create = celebrate({
    [Segments.BODY]: Joi.object({
      fields: Joi.array()
        .items(
          Joi.object({
            id: Joi.string()
              .uuid({
                version: 'uuidv4',
              })
              .required(),
            value: Joi.alternatives().try(Joi.string(), Joi.number()).required(),
          })
        )
        .min(1)
        .required(),
    }),
  })
}
