import { environment } from '@/core/api/environment'
import { testTenant } from '@/libs/infrastructure/persistance/seeders/dev.seeder'
import { IWorldOptions, World } from '@cucumber/cucumber'
import supertest, { Response } from 'supertest'

export class CustomWorld extends World<any> {
  constructor(options: IWorldOptions<any>) {
    super(options)
    this.body = {}
    this.tenantSubdomain = testTenant.subdomain

    // this.body = {}
    this.params = {}
    // this.files = {}
  }

  body: { [key: string]: any }
  params: { [key: string]: any }
  // files: { [key: string]: any }
  accessToken?: string
  tenantSubdomain: string
  tenantId?: string
  response?: Response

  requestAdmin = supertest(`${environment.API_URL}/api/v1/admin`)
  requestApi = supertest(`${environment.API_URL}/api/v1`)
}
