@customer @create
Feature: Create a customer


  Scenario Outline: with new information
    Given I log in as "<role>"
    When I send a POST request to "/customers" with body:
      """
      {
        "user": {
          "rut": "random_rut000123232",
          "password": "12345",
          "email": "random_customer@gmail.com",
          "firstName": "lorem",
          "lastName": "ipsum",
          "phoneNumber": "01234566669"
        }
      }
      """
    Then I get a status code 201
    And I get a response body with:
      """
      {
        "user": {
          "rut": "random_rut000123232",
          "email": "random_customer@gmail.com",
          "firstName": "lorem",
          "lastName": "ipsum",
          "phoneNumber": "01234566669"
        }
      }
      """
    And I get a reset link to "random_customer@gmail.com"
    Examples:
      | role            |
      | admin employee  |
      | vendor employee |


  Scenario Outline: with existing information
    Given I log in as "<role>"
    When I send a POST request to "/customers" with body:
      """
      {
        "user": {
          "rut": "000000001",
          "email": "customer@gmail.com",
          "isActive": true,
          "firstName": "Dave",
          "lastName": "Brown",
          "phoneNumber": "123456789"
        }
      }
      """
    Then I get a status code 400

    Examples:
      | role            |
      | admin employee  |
      | vendor employee |
