@order @create

Feature: Create order


  Scenario Outline: with correct fields
    Given I log in as "<role>"
    When I send a POST request to "/orders" with body:
      """
      {
        "fields": [
          {
            "id": "4c698dd5-d7d1-47e7-ab10-809562731c7a",
            "value": "some random text 1"
          },
          {
            "id": "2497cf38-f837-4a54-86b5-d04f050ed2af",
            "value": "some random text 2"
          },
          {
            "id": "d55c531c-6324-498a-a2af-8ae7e68b2a28",
            "value": "some random text 3"
          },
          {
            "id": "caeff8f9-c27e-4d87-b7ce-4c5879be2f85",
            "value": "some random text 4"
          },
          {
            "id": "d1b92b4f-8cb0-4d5e-92ae-76fbce49e53c",
            "value": "some random text 5"
          },
          {
            "id": "12db3629-599b-4521-9f48-61e4de6e6c7d",
            "value": "some random text 6"
          },
          {
            "id": "2935332a-75dd-4813-ad9c-80c52c55e344",
            "value": "some random text 7"
          },
          {
            "id": "598466f3-94e8-4af1-a17a-61ac66d94aa2",
            "value": "some random text 8"
          },
          {
            "id": "e04cfbe1-1535-401f-854b-6c13ed861d84",
            "value": "some random text 9"
          },
          {
            "id": "87c69288-757c-42aa-8e3a-1a890534457f",
            "value": "some random text 10"
          }
        ]
      }
      """
    Then I get a status code 201
    And I get a response body with:
      """
      {
        "status": "requested",
        "form": {
          "fields": [
            {
              "id": "4c698dd5-d7d1-47e7-ab10-809562731c7a",
              "value": "some random text 1"
            },
            {
              "id": "2497cf38-f837-4a54-86b5-d04f050ed2af",
              "value": "some random text 2"
            },
            {
              "id": "d55c531c-6324-498a-a2af-8ae7e68b2a28",
              "value": "some random text 3"
            },
            {
              "id": "caeff8f9-c27e-4d87-b7ce-4c5879be2f85",
              "value": "some random text 4"
            },
            {
              "id": "d1b92b4f-8cb0-4d5e-92ae-76fbce49e53c",
              "value": "some random text 5"
            },
            {
              "id": "12db3629-599b-4521-9f48-61e4de6e6c7d",
              "value": "some random text 6"
            },
            {
              "id": "2935332a-75dd-4813-ad9c-80c52c55e344",
              "value": "some random text 7"
            },
            {
              "id": "598466f3-94e8-4af1-a17a-61ac66d94aa2",
              "value": "some random text 8"
            },
            {
              "id": "e04cfbe1-1535-401f-854b-6c13ed861d84",
              "value": "some random text 9"
            },
            {
              "id": "87c69288-757c-42aa-8e3a-1a890534457f",
              "value": "some random text 10"
            }
          ]
        }
      }
      """
    Examples:
      | role     |
      | customer |


  Scenario Outline: with incorrect fields

    Given I log in as "<role>"
    When I send a POST request to "/orders" with body:
      """
      {
        "fields": [
          {
            "id": "4c698dd5-d7d1-47e7-ab10-809562731c7b",
            "value": "some random text 1"
          },
          {
            "id": "2497cf38-f837-4a54-86b5-d04f050ed2af",
            "value": "some random text 2"
          }
        ]
      }
      """
    Then I get a status code 400
    Examples:
      | role     |
      | customer |
