import { AfterAll, BeforeAll, setWorldConstructor } from '@cucumber/cucumber'
import { CustomWorld } from './custom-world'
import { Server } from '@/core/server'
import { logger } from '@/libs/domain/logger'
import chai from 'chai'

import chaiSubset from 'chai-subset'

chai.use(chaiSubset)

const server = new Server()

setWorldConstructor(CustomWorld)
BeforeAll(async function () {
  try {
    await server.start()
  } catch (error) {
    logger.debug(error)
  }
})

AfterAll(async function () {
  await server.close()
})
