import { Injectable } from '@/core/api/di/decorators'
import { RequestContext } from '@/libs/domain/contexts/request.context'
import { OffsetCriteria } from '@/libs/domain/criteria/criteria'
import { CustomerEntity } from '@/libs/domain/entities/tenant/customer.entity'
import { CustomerRepository } from '@/libs/domain/repositories/tenant/customer.repository'

@Injectable()
export class ListCustomersUseCase {
  constructor(private readonly customerRepository: CustomerRepository) {}

  async run(
    criteria: OffsetCriteria,
    { tenant }: RequestContext
  ): Promise<{ total: number; results: CustomerEntity[] }> {
    return await this.customerRepository.findByOffsetCriteria(criteria, tenant.id)
  }
}
