import { Injectable } from '@/core/api/di/decorators'
import { RequestContext } from '@/libs/domain/contexts/request.context'
import { CustomerEntity } from '@/libs/domain/entities/tenant/customer.entity'
import { CustomerRepository } from '@/libs/domain/repositories/tenant/customer.repository'

@Injectable()
export class ShowCustomerUseCase {
  constructor(private readonly customerRepository: CustomerRepository) {}

  async run(id: string, { tenant }: RequestContext): Promise<CustomerEntity> {
    const customer = await this.customerRepository.findOne({ id }, tenant.id)
    return customer!
  }
}
