import { Injectable } from '@/core/api/di/decorators'
import { DefaultFieldEntity } from '@/libs/domain/entities/master/default-field.entity'
import { TenantCategoryEntity } from '@/libs/domain/entities/master/tenant-category.entity'
import { DefaultFieldRepository } from '@/libs/domain/repositories/master/default-field.repository'

@Injectable()
export class UpdateDefaultFieldUseCase {
  constructor(private readonly defaultFieldRepository: DefaultFieldRepository) {}

  async run(
    id: string,
    { categoryId, ...payload }: DefaultFieldEntity
  ): Promise<DefaultFieldEntity> {
    if (categoryId) {
      ;(payload.category as Partial<TenantCategoryEntity>) = { id: categoryId }
    }
    return this.defaultFieldRepository.save({
      id,
      ...payload,
    })
  }
}
