import { Injectable } from '@/core/api/di/decorators'
import { RequestContext } from '@/libs/domain/contexts/request.context'
import { DriverEntity } from '@/libs/domain/entities/tenant/driver.entity'

import { DriverRepository } from '@/libs/domain/repositories/tenant/driver.repository'

@Injectable()
export class ShowDriverUseCase {
  constructor(private readonly driverRepository: DriverRepository) {}

  async run(id: string, { tenant }: RequestContext): Promise<DriverEntity> {
    const driver = await this.driverRepository.findOne({ id }, tenant.id)

    return driver!
  }
}
