import { Injectable } from '@/core/api/di/decorators'
import { RequestContext } from '@/libs/domain/contexts/request.context'
import { TransportCompanyRepository } from '@/libs/domain/repositories/tenant/transport-company.repository'

@Injectable()
export class DeleteTransportCompanyUseCase {
  constructor(private readonly transportCompanyRepository: TransportCompanyRepository) {}

  async run(id: string, { tenant }: RequestContext): Promise<void> {
    await this.transportCompanyRepository.delete({ id }, tenant.id)
  }
}
