import { Injectable } from '@/core/api/di/decorators'
import { RequestContext } from '@/libs/domain/contexts/request.context'
import { BadRequestException } from '@/libs/domain/errors'
import { TransportCompanyRepository } from '@/libs/domain/repositories/tenant/transport-company.repository'

@Injectable()
export class ValidateTransportCompanyEmailUseCase {
  constructor(private readonly transportCompanyRepository: TransportCompanyRepository) {}

  async run(email: string, { tenant }: RequestContext): Promise<void> {
    const transportCompany = await this.transportCompanyRepository.findOne(
      {
        email,
      },
      tenant.id
    )
    if (transportCompany) {
      throw new BadRequestException('Correo electronico en uso')
    }
  }
}
