export class Order {
  orderType?: 'asc' | 'desc'
  orderBy?: string

  private constructor({ orderType, orderBy }: { orderType?: 'asc' | 'desc'; orderBy?: string }) {
    this.orderBy = orderBy
    this.orderType = orderType
  }

  static fromPrimitives({ orderType = 'desc', orderBy }: any, allowedFields: string[]): Order {
    if (
      orderBy &&
      orderType &&
      // whiteList.includes(orderBy) &&
      ['asc', 'desc'].includes(orderType)
    ) {
      const order = new Order({
        orderBy,
        orderType,
      })

      order.applyWhiteList(allowedFields)

      return order
    }

    return new Order({})
  }

  applyWhiteList(whiteList: string[]) {
    if (!whiteList.includes(this.orderBy!)) {
      this.orderBy = undefined
      this.orderType = undefined
    }
  }
}
