export class ForbiddenException extends Error {
  constructor() {
    // Pass remaining arguments (including vendor specific ones) to parent constructor
    super('Forbidden action')

    Object.setPrototypeOf(this, ForbiddenException.prototype)
    // Maintains proper stack trace for where our error was thrown (only available on V8)
    if (Error.captureStackTrace) {
      Error.captureStackTrace(this, ForbiddenException)
    }

    this.name = 'ForbiddenException'
    // Custom debugging information
  }
}
