import { MigrationInterface, QueryRunner } from "typeorm";

export class Auto1713930188852 implements MigrationInterface {
    name = 'Auto1713930188852'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE "tenant"."transport_company" DROP CONSTRAINT "FK_b8f3e56079122e4d8abcb6f40a0"`);
        await queryRunner.query(`ALTER TABLE "tenant"."order" DROP CONSTRAINT "FK_75c9ce255f89db219917013e0fc"`);
        await queryRunner.query(`ALTER TABLE "tenant"."field" DROP CONSTRAINT "FK_48803b1458c40a5e92b6deb5612"`);
        await queryRunner.query(`ALTER TABLE "tenant"."employee" DROP CONSTRAINT "FK_26c3d513e0832e5abbbdd3d2a88"`);
        await queryRunner.query(`ALTER TABLE "tenant"."customer" DROP CONSTRAINT "FK_a9d874b83a7879be8538bf08b09"`);
        await queryRunner.query(`ALTER TABLE "tenant"."transport_company" DROP COLUMN "companyId"`);
        await queryRunner.query(`ALTER TABLE "tenant"."order" DROP COLUMN "companyId"`);
        await queryRunner.query(`ALTER TABLE "tenant"."field" DROP COLUMN "companyId"`);
        await queryRunner.query(`ALTER TABLE "tenant"."employee" DROP COLUMN "companyId"`);
        await queryRunner.query(`ALTER TABLE "tenant"."customer" DROP COLUMN "companyId"`);
        await queryRunner.query(`ALTER TABLE "master"."tenant" DROP CONSTRAINT "UQ_56211336b5ff35fd944f2259173"`);
        await queryRunner.query(`ALTER TABLE "master"."tenant" DROP COLUMN "name"`);
        await queryRunner.query(`ALTER TABLE "master"."tenant" ADD "rut" character varying NOT NULL`);
        await queryRunner.query(`ALTER TABLE "master"."tenant" ADD "legalName" character varying NOT NULL`);
        await queryRunner.query(`ALTER TABLE "master"."tenant" ADD "legalAddress" character varying NOT NULL`);
        await queryRunner.query(`ALTER TABLE "master"."tenant" ADD "phoneNumber" character varying NOT NULL`);
        await queryRunner.query(`ALTER TABLE "tenant"."order_to_field" DROP COLUMN "value"`);
        await queryRunner.query(`ALTER TABLE "tenant"."order_to_field" ADD "value" text NOT NULL`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE "tenant"."order_to_field" DROP COLUMN "value"`);
        await queryRunner.query(`ALTER TABLE "tenant"."order_to_field" ADD "value" character varying NOT NULL`);
        await queryRunner.query(`ALTER TABLE "master"."tenant" DROP COLUMN "phoneNumber"`);
        await queryRunner.query(`ALTER TABLE "master"."tenant" DROP COLUMN "legalAddress"`);
        await queryRunner.query(`ALTER TABLE "master"."tenant" DROP COLUMN "legalName"`);
        await queryRunner.query(`ALTER TABLE "master"."tenant" DROP COLUMN "rut"`);
        await queryRunner.query(`ALTER TABLE "master"."tenant" ADD "name" character varying NOT NULL`);
        await queryRunner.query(`ALTER TABLE "master"."tenant" ADD CONSTRAINT "UQ_56211336b5ff35fd944f2259173" UNIQUE ("name")`);
        await queryRunner.query(`ALTER TABLE "tenant"."customer" ADD "companyId" uuid`);
        await queryRunner.query(`ALTER TABLE "tenant"."employee" ADD "companyId" uuid`);
        await queryRunner.query(`ALTER TABLE "tenant"."field" ADD "companyId" uuid`);
        await queryRunner.query(`ALTER TABLE "tenant"."order" ADD "companyId" uuid`);
        await queryRunner.query(`ALTER TABLE "tenant"."transport_company" ADD "companyId" uuid`);
        await queryRunner.query(`ALTER TABLE "tenant"."customer" ADD CONSTRAINT "FK_a9d874b83a7879be8538bf08b09" FOREIGN KEY ("companyId") REFERENCES "tenant"."company"("id") ON DELETE NO ACTION ON UPDATE NO ACTION`);
        await queryRunner.query(`ALTER TABLE "tenant"."employee" ADD CONSTRAINT "FK_26c3d513e0832e5abbbdd3d2a88" FOREIGN KEY ("companyId") REFERENCES "tenant"."company"("id") ON DELETE NO ACTION ON UPDATE NO ACTION`);
        await queryRunner.query(`ALTER TABLE "tenant"."field" ADD CONSTRAINT "FK_48803b1458c40a5e92b6deb5612" FOREIGN KEY ("companyId") REFERENCES "tenant"."company"("id") ON DELETE NO ACTION ON UPDATE NO ACTION`);
        await queryRunner.query(`ALTER TABLE "tenant"."order" ADD CONSTRAINT "FK_75c9ce255f89db219917013e0fc" FOREIGN KEY ("companyId") REFERENCES "tenant"."company"("id") ON DELETE NO ACTION ON UPDATE NO ACTION`);
        await queryRunner.query(`ALTER TABLE "tenant"."transport_company" ADD CONSTRAINT "FK_b8f3e56079122e4d8abcb6f40a0" FOREIGN KEY ("companyId") REFERENCES "tenant"."company"("id") ON DELETE NO ACTION ON UPDATE NO ACTION`);
    }

}
