import { DriverEntity } from '@/libs/domain/entities/tenant/driver.entity'
import { DriverRepository } from '@/libs/domain/repositories/tenant/driver.repository'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { Injectable } from '@/core/api/di/decorators'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { driverSchema } from '../../schemas/tenant/driver.schema'

@Injectable()
export class TypeOrmDriverRepository
  extends TypeOrmBaseTenantRepository<DriverEntity>
  implements DriverRepository
{
  protected getSchema(): EntitySchema<DriverEntity> {
    return driverSchema
  }

  protected getRelations(): Relations<DriverEntity> {
    return {
      user: true,
      transportCompany: true,
    }
  }

  protected getFindOneOptions(): FindOneOptions<DriverEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<DriverEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<DriverEntity> {
    return {}
  }
}
