import { Injectable } from '@/core/api/di/decorators'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { InvoiceEntity } from '@/libs/domain/entities/tenant/invoice.entity'
import { InvoiceRepository } from '@/libs/domain/repositories/tenant/invoice.repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { invoiceSchema } from '../../schemas/tenant/invoice.schema'

@Injectable()
export class TypeOrmInvoiceRepository
  extends TypeOrmBaseTenantRepository<InvoiceEntity>
  implements InvoiceRepository
{
  protected getSchema(): EntitySchema<InvoiceEntity> {
    return invoiceSchema
  }

  protected getRelations(): Relations<InvoiceEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<InvoiceEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<InvoiceEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<InvoiceEntity> {
    return {}
  }
}
