import { Injectable } from '@/core/api/di/decorators'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { OrderRepository } from '@/libs/domain/repositories/tenant/order.repository'
import { OrderEntity } from '@/libs/domain/entities/tenant/order.entity'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { orderSchema } from '../../schemas/tenant/order.schema'

@Injectable()
export class TypeOrmOrderRepository
  extends TypeOrmBaseTenantRepository<OrderEntity>
  implements OrderRepository
{
  protected getSchema(): EntitySchema<OrderEntity> {
    return orderSchema
  }

  protected getRelations(): Relations<OrderEntity> {
    return {
      orderQuote: true,
      customer: {
        user: true,
      },
      form: true,
    }
  }

  protected getFindOneOptions(): FindOneOptions<OrderEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<OrderEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<OrderEntity> {
    return {}
  }
}
