import { RoleRepository } from '@/libs/domain/repositories/tenant/role.repository'
import { RoleEntity } from '@/libs/domain/entities/tenant/role.entity'
import { EntitySchema } from 'typeorm'
import { roleSchema } from '../../schemas/tenant/role.schema'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { Injectable } from '@/core/api/di/decorators'

@Injectable()
export class TypeOrmRoleRepository
  extends TypeOrmBaseTenantRepository<RoleEntity>
  implements RoleRepository
{
  protected getSchema(): EntitySchema<RoleEntity> {
    return roleSchema
  }

  protected getRelations(): Relations<RoleEntity> {
    return {
      permissions: true,
    }
  }

  protected getFindOneOptions(): FindOneOptions<RoleEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<RoleEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<RoleEntity> {
    return {}
  }
}
