import { Injectable } from '@/core/api/di/decorators'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { ShippingEntity } from '@/libs/domain/entities/tenant/shipping.entity'
import { ShippingRepository } from '@/libs/domain/repositories/tenant/shipping.repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { shippingSchema } from '../../schemas/tenant/shipping.schema'

@Injectable()
export class TypeOrmShippingRepository
  extends TypeOrmBaseTenantRepository<ShippingEntity>
  implements ShippingRepository
{
  protected getSchema(): EntitySchema<ShippingEntity> {
    return shippingSchema
  }

  protected getRelations(): Relations<ShippingEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<ShippingEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<ShippingEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<ShippingEntity> {
    return {}
  }
}
