import { Injectable } from '@/core/api/di/decorators'
import { ShippingStatusHistoryEntity } from '@/libs/domain/entities/tenant/shipping-status-history.entity'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { ShippingStatusHistoryRepository } from '@/libs/domain/repositories/tenant/shipping-status-history.repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { shippingStatusHistorySchema } from '../../schemas/tenant/shipping-status-history.schema'

@Injectable()
export class TypeOrmShippingStatusHistoryRepository
  extends TypeOrmBaseTenantRepository<ShippingStatusHistoryEntity>
  implements ShippingStatusHistoryRepository
{
  protected getSchema(): EntitySchema<ShippingStatusHistoryEntity> {
    return shippingStatusHistorySchema
  }

  protected getRelations(): Relations<ShippingStatusHistoryEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<ShippingStatusHistoryEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<ShippingStatusHistoryEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<ShippingStatusHistoryEntity> {
    return {}
  }
}
