import { Injectable } from '@/core/api/di/decorators'
import { TransportPaymentEntity } from '@/libs/domain/entities/tenant/transport-payment.entity'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { TransportPaymentRepository } from '@/libs/domain/repositories/tenant/transport-payment.repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { transportPaymentSchema } from '../../schemas/tenant/transport-payment.schema'

@Injectable()
export class TypeOrmTransportPaymentRepository
  extends TypeOrmBaseTenantRepository<TransportPaymentEntity>
  implements TransportPaymentRepository
{
  protected getSchema(): EntitySchema<TransportPaymentEntity> {
    return transportPaymentSchema
  }

  protected getRelations(): Relations<TransportPaymentEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<TransportPaymentEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<TransportPaymentEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<TransportPaymentEntity> {
    return {}
  }
}
