import { DriverEntity } from '@/libs/domain/entities/tenant/driver.entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'

export const driverSchema = new BaseTenantEntitySchema<DriverEntity>({
  name: 'driver',
  columns: {},
  relations: {
    user: {
      target: 'user',
      type: 'one-to-one',
      joinColumn: true,
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE',
    },
    transportCompany: {
      target: 'transportCompany',
      type: 'many-to-one',
    },
    shippings: {
      target: 'shipping',
      type: 'one-to-many',
      inverseSide: 'driver',
    },
  },
})
