import { TransportPaymentEntity } from '@/libs/domain/entities/tenant/transport-payment.entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'

export const transportPaymentSchema = new BaseTenantEntitySchema<TransportPaymentEntity>({
  name: 'transportPayment',
  columns: {
    amount: {
      type: Number,
    },
    commission: {
      type: Number,
    },
  },
  relations: {
    order: {
      target: 'order',
      type: 'many-to-one',
    },
    transportCompany: {
      target: 'transportCompany',
      type: 'many-to-one',
    },
    employee: {
      target: 'employee',
      type: 'many-to-one',
    },
  },
})
